#include <stdio.h>
#include <stdlib.h>

#include <pvm3.h>

#include "main.h"
#include "cpuinfo.h"
#include "meminfo.h"
#include "network.h"
#include "mbm.h"
#include "pciinfo.h"

int client_information(void)
{
	cpuinfo();
	pciinfo();
	meminfo();
	network_info();

	return EXIT_SUCCESS;
}

int client_benchmark(void)
{
	struct timeval *tv;

	tv = mbm_bench_int();
	if(tv)
	{
		pvm_initsend(PvmDataDefault);
		pvm_pkstr("INT");
		pvm_pklong(&(tv->tv_sec), 1, 1);
		pvm_pklong(&(tv->tv_usec), 1, 1);
		pvm_send(pvm_parent(), MSGTAG_BMRESULT);

		free(tv);
	}

	return EXIT_SUCCESS;
}
