#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "misc.h"

void *m_calloc(size_t nmemb, size_t size)
{
	void *data;

	data = calloc(nmemb, size);
	if(data == NULL)
	{
		fprintf(stderr, "out of memory\n");
		exit(EXIT_FAILURE);
	}

	return data;
}

char *m_strdup(char *text)
{
	char *snew;

	if(text == NULL) return NULL;

	snew = m_new0(char, strlen(text) + 1);
	strcpy(snew, (const char *)text);

	return snew;
}
