#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <unistd.h>

#include <pvm3.h>

#include "main.h"
#include "misc.h"

#define MEMINFO "/proc/meminfo"

int meminfo(void)
{
#if 0
	FILE *memfile;
	char buf[2048], *bufp;
#endif
	unsigned long int memsize;

	memsize = sysconf(_SC_PAGESIZE) * sysconf(_SC_PHYS_PAGES) / 1024;

#if 0
	memfile = fopen(MEMINFO, "r");
	if(memfile == NULL)
	{
		return EXIT_FAILURE;
	}

	while(fgets(buf, 2048, memfile))
	{
		if(strncmp(buf, "MemTotal:", 9) == 0)
		{
			bufp = strstr((const char *)buf, ":") + 1;

			/* strip spaces */
			while(*bufp == ' ') bufp ++;

			memsize = strtoul((const char *)bufp, NULL, 10);

			break;
		}
	}

	fclose(memfile);
#endif

	pvm_initsend(PvmDataDefault);
	pvm_pkulong(&memsize, 1, 1);
	pvm_send(pvm_parent(), MSGTAG_MEMINFO);

	return EXIT_SUCCESS;
}

