#ifndef _SLIST_H
#define _SLIST_H

typedef struct _SList SList;

struct _SList
{
	void *data;
	SList *next;
};

SList *slist_new(void *data);
unsigned int slist_length(SList *slist);
SList *slist_nth(SList *slist, unsigned int n);
SList *slist_last(SList *slist);
SList *slist_append(SList *slist, void *data);

#endif /* _SLIST_H */
